%{?mingw_package_header}

Name:           mingw-librsvg2
Version:        2.56.90
Release:    1%{?dist}
Summary:        SVG library based on cairo for MinGW

License:        LGPLv2+
URL:            https://wiki.gnome.org/Projects/LibRsvg
BuildArch:      noarch
Source0:        https://download.gnome.org/sources/librsvg/2.56/librsvg-%{version}.tar.xz
Source1:        librsvg-%{version}-vendor.tar.xz
Patch0:         librsvg_libs.patch


BuildRequires:  cargo
BuildRequires:  make
BuildRequires:  automake

BuildRequires:  mingw32-filesystem >= 95
BuildRequires:  mingw32-gcc
BuildRequires:  mingw32-gdk-pixbuf
BuildRequires:  mingw32-glib2
BuildRequires:  mingw32-gtk3
BuildRequires:  mingw32-libcroco
BuildRequires:  mingw32-pango
BuildRequires:  rust-std-static-i686-pc-windows-gnu

BuildRequires:  mingw64-filesystem >= 95
BuildRequires:  mingw64-gcc
BuildRequires:  mingw64-gdk-pixbuf
BuildRequires:  mingw64-glib2
BuildRequires:  mingw64-gtk3
BuildRequires:  mingw64-libcroco
BuildRequires:  mingw64-pango
BuildRequires:  rust-std-static-x86_64-pc-windows-gnu

BuildRequires:  gdk-pixbuf2
BuildRequires:  perl-File-Temp

%description
An SVG library based on cairo for MinGW.

%package -n mingw32-librsvg2
Summary:        MinGW SVG library based on cairo
Requires:       pkgconfig

%description -n mingw32-librsvg2
This package contains the header files and libraries needed to develop
applications that use librsvg2.


%package -n mingw32-librsvg2-static
Summary:        MinGW SVG static library based on cairo
Requires:       mingw32-librsvg2 = %{version}-%{release}

%description -n mingw32-librsvg2-static
This package contains the static libraries needed to develop
applications that use librsvg2.


%package -n mingw64-librsvg2
Summary:        MinGW SVG library based on cairo
Requires:       pkgconfig

%description -n mingw64-librsvg2
This package contains the header files and libraries needed to develop
applications that use librsvg2.


%package -n mingw64-librsvg2-static
Summary:        MinGW static color daemon
Requires:       mingw64-librsvg2 = %{version}-%{release}

%description -n mingw64-librsvg2-static
This package contains the static libraries needed to develop
applications that use librsvg2.

%{?mingw_debug_package}


%prep
%autosetup -p1 -n librsvg-%{version} -a1

mkdir -p .cargo
cat > .cargo/config.toml <<EOF
[source.crates-io]
replace-with = "vendored-sources"

[source.vendored-sources]
directory = "vendor"
EOF


%build
MINGW32_CONFIGURE_ARGS="RUST_TARGET=i686-pc-windows-gnu" \
MINGW64_CONFIGURE_ARGS="RUST_TARGET=x86_64-pc-windows-gnu" \
%mingw_configure \
        --disable-gtk-doc \
        --enable-introspection=no \
        --without-pic
%mingw_make_build


%install
%mingw_make_install

find %{buildroot} -name "*.la" -delete

rm -rf %{buildroot}%{mingw32_datadir}/man
rm -rf %{buildroot}%{mingw32_datadir}/gtk-doc
rm -rf %{buildroot}%{mingw32_datadir}/doc/librsvg
rm -rf %{buildroot}%{mingw64_datadir}/man
rm -rf %{buildroot}%{mingw64_datadir}/gtk-doc
rm -rf %{buildroot}%{mingw64_datadir}/doc/librsvg


%files -n mingw32-librsvg2
%license COPYING.LIB
%{mingw32_bindir}/librsvg-2-2.dll
%{mingw32_bindir}/rsvg-convert.exe
%{mingw32_includedir}/librsvg-2.0
%{mingw32_libdir}/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-svg.dll
%{mingw32_libdir}/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-svg.dll.a
%{mingw32_libdir}/librsvg-2.dll.a
%{mingw32_libdir}/pkgconfig/*.pc
%dir %{mingw32_datadir}/thumbnailers
%{mingw32_datadir}/thumbnailers/librsvg.thumbnailer

%files -n mingw32-librsvg2-static
%{mingw32_libdir}/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-svg.a
%{mingw32_libdir}/librsvg-2.a


%files -n mingw64-librsvg2
%license COPYING.LIB
%{mingw64_bindir}/librsvg-2-2.dll
%{mingw64_bindir}/rsvg-convert.exe
%{mingw64_includedir}/librsvg-2.0
%{mingw64_libdir}/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-svg.dll
%{mingw64_libdir}/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-svg.dll.a
%{mingw64_libdir}/librsvg-2.dll.a
%{mingw64_libdir}/pkgconfig/*.pc
%dir %{mingw64_datadir}/thumbnailers
%{mingw64_datadir}/thumbnailers/librsvg.thumbnailer

%files -n mingw64-librsvg2-static
%{mingw64_libdir}/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-svg.a
%{mingw64_libdir}/librsvg-2.a


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.56.90-1
- initial build
